> For the complete documentation index, see [llms.txt](https://docs.connectedyou.io/knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/euicc-transactions.md).

# eUICC transactions

All eUICC transaction results (except Audit) will be pushed to the configured endpoint in below format. For Audit transaction, please refer [here](https://docs.connectedyou.io/knowledge-base/v/connectedyou-platform/api-docs/apis-reference/webhooks/euicc-transaction-audit).

```
{
  "account_name": "ABC",
  "account_no": 123456789,
  "eid": "12345611014230000000000000123456",
  "gsma_reason_code": null,
  "gsma_subject_code": null,
  "iccid": "1234560000003012345",
  "message": "The transaction is completed successfully.",
  "operation_id": 1234,
  "operation_type": "ENABLE_PROFILE",
  "rule_details": {
    "name": "eUICC transactions",
    "event": "EUICC Transactions",
    "category": "Create stream",
    "parameters": null
  },
  "status": "SUCCESS",
  "updated_at": "2023-12-14T09:49:07.921559Z"
}
```

| Item                | Description                                                                                                                                                                                                                                                                                                         |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| account\_name       | Account name                                                                                                                                                                                                                                                                                                        |
| account\_no         | Account number                                                                                                                                                                                                                                                                                                      |
| eid                 | EID of the physical eSIM                                                                                                                                                                                                                                                                                            |
| gsma\_reason\_code  | Will be populated In case of failure, for more info see [here](https://docs.connectedyou.io/knowledge-base/v/connectedyou-platform/user-guide/euicc-centre/configure-euicc/euicc-details/gsma-codes-and-descriptions).                                                                                              |
| gsma\_subject\_code | Will be populated In case of failure, for more info see [here](https://docs.connectedyou.io/knowledge-base/v/connectedyou-platform/user-guide/euicc-centre/configure-euicc/euicc-details/gsma-codes-and-descriptions).                                                                                              |
| iccid               | <p>ICCID of the SIM Profile, eg.<br>- Enable profile: ICCID that was requested to enable.<br>- Set fallback: ICCID that was requested to set fallback attribute.<br>- Download profile: ICCID that was requested to be downloaded.<br>- Delete profile: ICCID that was requested to be downloaded.</p>              |
| message             | Description of the result                                                                                                                                                                                                                                                                                           |
| operation\_id       | Transaction ID. This can be used to also fetch the result of the operation by using the [GET Bulk Operation Transactions API](https://docs.api.connectedyou.io/#e47bf804-50fd-4a02-bb14-a5e356297f33). operation\_id is same as resource\_id that is returned in 202 ACCEPTED response when transaction is created. |
| operation\_type     | <p>Type of operation as shown below. </p><ul><li>"DOWNLOAD"</li><li>"DELETE"</li><li>"SET\_FALLBACK"</li><li>"ENABLE\_PROFILE"</li></ul>                                                                                                                                                                            |
|                     |                                                                                                                                                                                                                                                                                                                     |
| rule\_details       | Details of the rule that is enabled to create the notifications via webhook                                                                                                                                                                                                                                         |
| status              | Status of the transaction                                                                                                                                                                                                                                                                                           |
| updated\_at         | Time stamp in UTC                                                                                                                                                                                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/euicc-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
